/* Split from blocks.css (pom-theme-v2), 2026-07-12 */

/* Contact Form Block
--------------------------------------------- */

.cform-wrapper {
	background-color: var(--midnight-blue, #001F61);
	border-radius: 500px;
	max-width: var(--content-width);
	margin-left: auto;
	margin-right: auto;
	position: relative;
	padding-top: 80px;
	padding-bottom: 80px;
	padding-left: 32px;
	padding-right: 32px;
	overflow: hidden;
}

.cform-block__title {
	color: #fff;
	max-width: 800px;
	margin-bottom: 1.16em;
	position: relative;
	z-index: 10;
}

.cform-block__text {
	color: rgba(255, 255, 255, .6);
	font-size: var(--body-text-xs);
	max-width: 400px;
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 0;
	padding-left: 10px;
	padding-right: 10px;
	text-align: center;
	position: relative;
	z-index: 10;
}

.cform-block__text a {
	color: rgba(255, 255, 255, .6);
	text-decoration: underline;
}

.cform-block__text .wpcf7-list-item {
	margin: 0;
}

.cform-wrapper input[type="text"],
.cform-wrapper input[type="email"],
.cform-wrapper input[type="url"],
.cform-wrapper input[type="password"],
.cform-wrapper input[type="number"],
.cform-wrapper input[type="tel"],
.cform-wrapper input[type="range"],
.cform-wrapper input[type="date"],
.cform-wrapper input[type="datetime"],
.cform-wrapper input[type="datetime-local"],
.cform-wrapper textarea,
.cf-select {
	color: #fff;
	background-color: transparent;
	border-top: none;
	border-left: none;
	border-right: none;
	border-bottom: 2px solid #fff;
	border-bottom-left-radius: 5px;
	border-bottom-right-radius: 5px;
	display: block;
	font-size: var(--body-text);
	/* line-height: 1.5; */
	margin-top: 0;
	margin-bottom: 0;
	max-width: 100%;
	outline: none;
	padding-top: 12px;
	padding-bottom: 12px;
	padding-left: 10px;
	padding-right: 10px;
}


.cform-wrapper input[type="text"]:focus,
.cform-wrapper input[type="email"]:focus,
.cform-wrapper input[type="url"]:focus,
.cform-wrapper input[type="password"]:focus,
.cform-wrapper input[type="number"]:focus,
.cform-wrapper input[type="tel"]:focus,
.cform-wrapper input[type="range"]:focus,
.cform-wrapper input[type="date"]:focus,
.cform-wrapper input[type="datetime"]:focus,
.cform-wrapper input[type="datetime-local"]:focus,
.cform-wrapper textarea:focus,
.cf-select option {
	color: #fff;
}

.cf-select option {
	background-color: var(--midnight-blue, #001F61);
}

.cf-select option:first-child {
	display: none;
}

.cfblock__inner {
	display: flex;
	flex-direction: column;
	max-width: 400px;
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 80px;
}

.cform-wrapper form .wpcf7-response-output {
	border-color: var(--button-bg);
	border-radius: 5px;
	color: #fff;
	max-width: none;
	margin-left: auto !important;
	margin-right: auto !important;
	margin-top: 0;
	margin-bottom: 0;
	bottom: -15px;
	position: relative;
	font-size: .95em;
	line-height: 1.35;
	left: 0;
	right: 0;
	text-align: center;
	z-index: 10;
}

.cform-wrapper input[type="text"].wpcf7-form-control,
.cform-wrapper input[type="tel"].wpcf7-form-control,
.cform-wrapper input[type="email"].wpcf7-form-control,
.auto-grow {
	width: 100%;
}

.auto-grow {
	resize: none;
}

.cf7-btn-wrapper {
	width: 100%;
	max-width: 399px;
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 45px;
	position: relative;
	text-align: center;
}

.cf7-btn-wrapper .wpcf7-submit {
	text-align: center;
	width: 100%;
	justify-content: center;
}

.cf7-btn-wrapper .wpcf7-spinner {
	position: absolute;
	right: -10px;
	top: 50%;
	margin-top: -12px;
}

#cfblock .wpcf7-not-valid-tip {
	color: #fff;
	font-size: 12px;
	text-transform: uppercase;
	left: auto;
	right: 5px;
	margin-top: 8px;
	opacity: .8;
	position: absolute;
	transition: all .2s ease;
}

#cfblock .wpcf7-acceptance+.wpcf7-not-valid-tip {
	position: relative;
}

#cfblock .wpcf7-form-control-wrap {
	display: block;
}

.floating-label {
	position: relative;
	display: block;
	margin-top: 35px;
}

.floating-label--span {
	position: absolute;
	top: 14px;
	left: 10px;
	transition: all .2s ease;
	pointer-events: none;
	z-index: 1;
}

.cform-wrapper .floating-label--span {
	color: #fff;
}

.wpcf7-form-control:focus~.floating-label--span,
.wpcf7-form-control:not(:placeholder-shown)~.floating-label--span,
.floating-label--active {
	top: -8px;
	left: 10px;
	font-size: 12px;
	opacity: .6;
	text-transform: uppercase;
}

.cf_whale {
	mix-blend-mode: multiply;
	position: absolute;
	z-index: 5;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	margin-left: auto;
	margin-right: auto;
	margin-top: -50px;
	margin-bottom: auto;
}

.cform-wrapper .cfblock__inner,
.cform-wrapper .cf7-btn-wrapper {
	position: relative;
	z-index: 10;
}

.cdata-block__inner {
	max-width: 814px;
	margin-left: auto;
	margin-right: auto;
}

.pom-section.acf-block.cdata-block.mb0 {
	padding-bottom: 0;
}

@media (min-width: 1241px) {
	.cform-wrapper {
		padding-top: 120px;
		padding-bottom: 120px;
	}

	.cform-wrapper form .wpcf7-response-output {
		max-width: 650px;
	}
}

@media (min-width: 520px) and (max-width: 1240px) {
	.cform-wrapper form .wpcf7-response-output {
		max-width: 60%;
	}
}

@media (min-width: 395px) and (max-width: 519px) {
	.cform-wrapper form .wpcf7-response-output {
		max-width: 80%;
	}
}

@media (min-width: 1180px) {
	.cfblock__inner {
		flex-direction: row;
		gap: 60px;
		justify-content: center;
		max-width: 865px;
	}

	.cfblock__fieldset_1,
	.cfblock__fieldset_2 {
		width: 50%;
		max-width: 399px;
	}

	.cform-block__text {
		max-width: 430px;
		padding-left: 0;
		padding-right: 0;
	}
}

@media (max-width: 1179px) {
	.cform-wrapper {
		max-width: 750px;
	}

	.cfblock__fieldset_1 p:last-child {
		margin-bottom: 0;
	}

	.cfblock__fieldset_2 p {
		margin-top: 0;
	}

	.cf_whale {
		left: auto;
		right: -75%;
		top: 0;
		bottom: 0;
		max-width: 250%;
	}
}

